| Home | Libraries | People | FAQ | More

## Class posix_time_system_config

boost::posix_time::posix_time_system_config

## Synopsis

    // In header: <boost/date_time/posix_time/posix_time_config.hpp>

    class posix_time_system_config {
    public:
      // types
      typedef simple_time_rep            time_rep_type;
      typedef gregorian::date            date_type;
      typedef gregorian::date_duration   date_duration_type;
      typedef time_duration              time_duration_type;
      typedef time_res_traits::tick_type int_type;
      typedef time_res_traits            resolution_traits;

      // public member functions
       BOOST_STATIC_CONSTANT(boost::int64_t, tick_per_second = 1000000000);
    };

## Description

### `posix_time_system_config` public member functions

1.      BOOST_STATIC_CONSTANT(boost::int64_t, tick_per_second = 1000000000);